Subject: [os2genau_digest] No. 1727
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 14 Oct 2008 00:01:01 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 13 October 2008
 Number  1727
**************************************************

Subjects for today
 
1   eCS trashcan problems again : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  eCS trashcan problems again : Mike O'Connor <mikeoc at internode.on dot net>
3  Re:  eCS trashcan problems again : Ed Durrant <edurrant at durrant dot mine dot nu>
4  Re:  eCS trashcan problems again : Mike O'Connor <mikeoc at internode.on dot net>
5  Re:  eCS trashcan problems again : Ed Durrant <edurrant at durrant dot mine dot nu>
6  Re:  eCS trashcan problems again : Ed Durrant <edurrant at durrant dot mine dot nu>
7  Re:  eCS trashcan problems again : Mike O'Connor <mikeoc at internode.on dot net>
8  Re:  eCS trashcan problems again - fixup to clarify : Mike O'Connor <mikeoc at internode.on dot net>

**= Email   1 ==========================**

Date:  Mon, 13 Oct 2008 09:16:09 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:   eCS trashcan problems again

Having copied a very large directory (~4GB) from my C: (OS/2 Warp boot 
drive - HPFS) to a data only JFS K: drive
, I deleted the directory on the C: drive from my running eCS 2.0RC3 G: 
drive. That was fine until I try to empty the trashcan - when I do this 
the WPS gets restarted and the trashcan is not emptied. Any ideas ?

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 13 Oct 2008 09:16:56 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  eCS trashcan problems again

Ed Durrant wrote:
> Having copied a very large directory (~4GB) from my C: (OS/2 Warp boot 
> drive - HPFS) to a data only JFS K: drive
> , I deleted the directory on the C: drive from my running eCS 2.0RC3 
> G: drive. That was fine until I try to empty the trashcan - when I do 
> this the WPS gets restarted and the trashcan is not emptied. Any ideas ?
>
> Cheers/2
>
> Ed. 
Hi Ed,

I guess no-one anticipated someone putting a single 4GB object into the 
trashcan! :-(

Is the single directory the only item in the trashcan?
(If there are other smaller items in there also - select these and from 
context menu "destroy"!)
If so have you instituted another (same-named) replacement directory on 
the C: drive?
If not and there is still room for it on C:, do a restore of the 
trashcan object, then disable the trashcan temporarily, and open that 
directory in FM/2 - Visual Tree - select all - "delete permanently".

Otherwise - just temporarily disable trashcan, reboot to same G: volume, 
open Visual Tree, with C:\Trash. If there is just a \0 subdirectory of 
trash, select it and "delete permanently", then do same to its parent - 
or if there are others e.g. \1,\2 etc., multi-select them and do same 
operation, then reboot and re-enable Trashcan function.

HTH

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 13 Oct 2008 20:54:19 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  eCS trashcan problems again

Mike O'Connor wrote:
> Ed Durrant wrote:
>> Having copied a very large directory (~4GB) from my C: (OS/2 Warp 
>> boot drive - HPFS) to a data only JFS K: drive
>> , I deleted the directory on the C: drive from my running eCS 2.0RC3 
>> G: drive. That was fine until I try to empty the trashcan - when I do 
>> this the WPS gets restarted and the trashcan is not emptied. Any ideas ?
>>
>> Cheers/2
>>
>> Ed. 
> Hi Ed,
>
> I guess no-one anticipated someone putting a single 4GB object into 
> the trashcan! :-(
>
> Is the single directory the only item in the trashcan?
> (If there are other smaller items in there also - select these and 
> from context menu "destroy"!)
> If so have you instituted another (same-named) replacement directory 
> on the C: drive?
> If not and there is still room for it on C:, do a restore of the 
> trashcan object, then disable the trashcan temporarily, and open that 
> directory in FM/2 - Visual Tree - select all - "delete permanently".
>
> Otherwise - just temporarily disable trashcan, reboot to same G: 
> volume, open Visual Tree, with C:\Trash. If there is just a \0 
> subdirectory of trash, select it and "delete permanently", then do 
> same to its parent - or if there are others e.g. \1,\2 etc., 
> multi-select them and do same operation, then reboot and re-enable 
> Trashcan function.
>
> HTH
>
> Regards,
> Mike
 
>
> 

>
Well there's no Trash directory on C: or G: - only DELETE directories 
that I just removed to be safe.

There is however a Trash directory on the K: drive (where I copied the 
files to before deleting the originals on C: ), but this wont let me 
delete it - it says it does but it doesn't go  and also the files I 
deleted are not in this directory.

How does one disable trash can - all I did was go into it's properties 
and removed all drives from the list. Is there another method ?

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 13 Oct 2008 20:06:28 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  eCS trashcan problems again

Ed Durrant wrote:
> Mike O'Connor wrote:
>> Ed Durrant wrote:
>>> Having copied a very large directory (~4GB) from my C: (OS/2 Warp 
>>> boot drive - HPFS) to a data only JFS K: drive
>>> , I deleted the directory on the C: drive from my running eCS 2.0RC3 
>>> G: drive. That was fine until I try to empty the trashcan - when I 
>>> do this the WPS gets restarted and the trashcan is not emptied. Any 
>>> ideas ?
>>>
>>> Cheers/2
>>>
>>> Ed. 
>> Hi Ed,
>>
>> I guess no-one anticipated someone putting a single 4GB object into 
>> the trashcan! :-(
>>
>> Is the single directory the only item in the trashcan?
>> (If there are other smaller items in there also - select these and 
>> from context menu "destroy"!)
>> If so have you instituted another (same-named) replacement directory 
>> on the C: drive?
>> If not and there is still room for it on C:, do a restore of the 
>> trashcan object, then disable the trashcan temporarily, and open that 
>> directory in FM/2 - Visual Tree - select all - "delete permanently".
>>
>> Otherwise - just temporarily disable trashcan, reboot to same G: 
>> volume, open Visual Tree, with C:\Trash. If there is just a \0 
>> subdirectory of trash, select it and "delete permanently", then do 
>> same to its parent - or if there are others e.g. \1,\2 etc., 
>> multi-select them and do same operation, then reboot and re-enable 
>> Trashcan function.
>>
>> HTH
> Well there's no Trash directory on C: or G: - only DELETE directories 
> that I just removed to be safe.
>
> There is however a Trash directory on the K: drive (where I copied the 
> files to before deleting the originals on C: ), but this wont let me 
> delete it - it says it does but it doesn't go  and also the files I 
> deleted are not in this directory.
>
> How does one disable trash can - all I did was go into it's properties 
> and removed all drives from the list. Is there another method ?
>
> Cheers/2
>
> Ed.
Hi Ed,

On the trashcan's context menu - first tab - last entry :

"Always delete immediately(never use trash can)

The DELETE directories are only there if you have the DELDIR line 
un-remmed in your config.sys - they're useless these days , as AFAIK the 
original 512KB total limit per drive has never been increased! :-(

You will probably have to go completely out of the WPS and boot to an 
eCS AltF1+F2 prompt to delete them in that case.

The \trash directory tree is by default hidden - are you sure youhaven't 
un-hidden the one on K: drive/

I don't know whether you have all of the FM/2 utilities, including 
deltree.exe - I have it in all of my current FM/2 installations, but I 
might have just copied it in from my original bought one?

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Mon, 13 Oct 2008 22:18:04 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  eCS trashcan problems again

OK so I've now correctly disabled the trash can, but it still wont let 
me use visual tree to permanently delete the directory - it comes back 
with access denied.

I just hate this trash can in eCS, it's just nothing but trouble.

Cheers/2

Ed.
>
>

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Mon, 13 Oct 2008 22:19:56 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  eCS trashcan problems again

Mike O'Connor wrote:
> Ed Durrant wrote:
>> Mike O'Connor wrote:
>>> Ed Durrant wrote:
>>>> Having copied a very large directory (~4GB) from my C: (OS/2 Warp 
>>>> boot drive - HPFS) to a data only JFS K: drive
>>>> , I deleted the directory on the C: drive from my running eCS 
>>>> 2.0RC3 G: drive. That was fine until I try to empty the trashcan - 
>>>> when I do this the WPS gets restarted and the trashcan is not 
>>>> emptied. Any ideas ?
>>>>
>>>> Cheers/2
>>>>
>>>> Ed. 
>>> Hi Ed,
>>>
>>> I guess no-one anticipated someone putting a single 4GB object into 
>>> the trashcan! :-(
>>>
>>> Is the single directory the only item in the trashcan?
>>> (If there are other smaller items in there also - select these and 
>>> from context menu "destroy"!)
>>> If so have you instituted another (same-named) replacement directory 
>>> on the C: drive?
>>> If not and there is still room for it on C:, do a restore of the 
>>> trashcan object, then disable the trashcan temporarily, and open 
>>> that directory in FM/2 - Visual Tree - select all - "delete 
>>> permanently".
>>>
>>> Otherwise - just temporarily disable trashcan, reboot to same G: 
>>> volume, open Visual Tree, with C:\Trash. If there is just a \0 
>>> subdirectory of trash, select it and "delete permanently", then do 
>>> same to its parent - or if there are others e.g. \1,\2 etc., 
>>> multi-select them and do same operation, then reboot and re-enable 
>>> Trashcan function.
>>>
>>> HTH
>> Well there's no Trash directory on C: or G: - only DELETE directories 
>> that I just removed to be safe.
>>
>> There is however a Trash directory on the K: drive (where I copied 
>> the files to before deleting the originals on C: ), but this wont let 
>> me delete it - it says it does but it doesn't go  and also the files 
>> I deleted are not in this directory.
>>
>> How does one disable trash can - all I did was go into it's 
>> properties and removed all drives from the list. Is there another 
>> method ?
>>
>> Cheers/2
>>
>> Ed.
> Hi Ed,
>
> On the trashcan's context menu - first tab - last entry :
>
> "Always delete immediately(never use trash can)
>
> The DELETE directories are only there if you have the DELDIR line 
> un-remmed in your config.sys - they're useless these days , as AFAIK 
> the original 512KB total limit per drive has never been increased! :-(
>
> You will probably have to go completely out of the WPS and boot to an 
> eCS AltF1+F2 prompt to delete them in that case.
>
> The \trash directory tree is by default hidden - are you sure 
> youhaven't un-hidden the one on K: drive/
>
> I don't know whether you have all of the FM/2 utilities, including 
> deltree.exe - I have it in all of my current FM/2 installations, but I 
> might have just copied it in from my original bought one?
>
> Regards,
> Mike

Using attrib on C: and G: drives - there's definitely no TRASH directory 
there.

Cheers/2
Ed.
----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Mon, 13 Oct 2008 21:33:03 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  eCS trashcan problems again

Ed Durrant wrote:
> OK so I've now correctly disabled the trash can, but it still wont let 
> me use visual tree to permanently delete the directory - it comes back 
> with access denied.
>
> I just hate this trash can in eCS, it's just nothing but trouble.
>
> Cheers/2 
Hi Ed,

Try first going into full FM/2 window - open that drive, then \Trash and 
in RH-pane RMB on \Trash\0, \trash\1 etc., in sequenceand for each one - 
RMB then select 'Edit ..." >>  "Extended attributes" - (if any) then 
delete the subdirectories, and the  at mapping file and finishing up with  
"Classinfo" EA on \Trash itself- then delete the \Trash directory!

HTH

Mike
----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Mon, 13 Oct 2008 21:38:33 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  eCS trashcan problems again - fixup to clarify

Ed Durrant wrote:
> OK so I've now correctly disabled the trash can, but it still wont let 
> me use visual tree to permanently delete the directory - it comes back 
> with access denied.
>
> I just hate this trash can in eCS, it's just nothing but trouble.
>
> Cheers/2 
i meant to say:

Hi Ed,

Try first going into full FM/2 window - open that drive, then \Trash and
in RH-pane RMB on \0, \1 etc., in sequence and for each one -
RMB them and then select 'Edit ..." >>  "Extended attributes" and delete 
each EA (if any)after selecting them, then delete those subdirectories, 
and the associated " at mapping" file and finishing up with deleting the
"Classinfo" EA on \Trash itself- then delete that \Trash directory!

HTH

Mike

----------------------------------------------------------------------------------